<template>
  <cabinet-layout nav-active="profile">
    <div
      slot="block-content"
      class="wrench">
      <submenu item-active="organization-sto"/>
      <div class="container">
        <div class="title">
          Магазины запчастей и автотехцентры
          <div class="question">
            <div
              class="button"
              v-tooltip="{
                classes: 'tooltip kit white',
                trigger: 'hover',
                offset: '4',
                placement: 'right',
                html: 'true',
                content: '<div class=help-cabinet>' +
                  '<p>Подробная информация о магазинах и технических центрах организации.</p>' +
                  '</div>',
            }"/>
          </div>
        </div>

        <div class="block-info">
          <div class="text">Магазины запчастей позволяют размещать прайс-листы на товары.</div>
          <div class="text">Если у Вас несколько филиалов, создайте для них магазины в нашем сервисе.</div>
          <div class="text">Прайсы можно загружать для каждого магазина в отдельности.</div>
        </div>

        <div class="block-btn">
          <flink
            role="button"
            href="/cabinet/wrench/organization-sto/shop/create/"
            class="ui button yellow btn-add-organization">
            <img
              svg-inline
              src="~/assets/svg/icons/i-shop.svg">
            Добавить магазин
          </flink>
          <flink
            role="button"
            href="/cabinet/wrench/organization-sto/sto/create/"
            class="ui button yellow btn-add-organization">
            <img
              svg-inline
              src="~/assets/svg/icons/i-sto.svg">
            Добавить автотехцентр
          </flink>
        </div>

        <div
          class="block-table "
          v-if="organizations && organizations.length">
          <results-table :organizations="organizations"/>
        </div>

        <div
          class="block-btn"
          v-if="organizations && organizations.length">
          <flink
            role="button"
            href="/cabinet/wrench/notification-setup"
            class="ui button yellow btn-add-organization">
            Перейти к настройке уведомлений
          </flink>
        </div>
      </div>
    </div>

  </cabinet-layout>
</template>

<script>
import CabinetLayout from '~/components/redesign/cabinet/main-layout';
import Submenu from '~/components/redesign/cabinet/submenu';
import ResultsTable from '~/components/redesign/cabinet/results-table-org-sto';

export default {
  name: 'WrenchOrganizationSto',
  components: {
    CabinetLayout,
    Submenu,
    ResultsTable,
  },
  layout: 'cabinet',
  async asyncData({ app, store }) {
    if (!store.state.user.auth) {
      return {
        organizations: [],
      };
    }
    const organizations = await app.$axios
      .$get('/_main/organization/getShopSto')
      .catch((error) => { console.error(error); });
    return { organizations: organizations ? organizations.data : [] };
  },
};
</script>

<style scoped lang="scss">
  .question {
    @media screen and (max-width: 980px) {
      display: none;
    }
    @media screen and (min-width: 981px) {
      position: relative;
      display: inline-flex;
      > .button {
        display: inline-flex;
        justify-content: center;
        align-items: center;
        width: 1rem;
        height: 1rem;
        background: transparent;
        border: 1px solid #9badb9;
        border-radius: 50%;
        outline: 0;
        cursor: pointer;
        &:before {
          display: inline-flex;
          content: "?";
          font-size: 0.75rem;
          font-weight: normal;
          line-height: 1;
          color: #4272a4;
        }
      }
    }
  }

  .wrench {
    display: flex;
    flex-flow: column nowrap;
    justify-content: flex-start;
    align-items: stretch;
    width: 100%;
    .container {
      display: flex;
      flex-flow: column nowrap;
      justify-content: flex-start;
      align-items: flex-start;
      padding: 1.5rem;
      @media screen and (max-width: 980px) {
        display: none;
      }
      .title {
        display: block;
        line-height: 1.3;
        font-weight: 700;
        padding: 0;
        margin: 0;
        font-size: 1.3125rem;
        .question {
          margin-left: 0.5rem;
        }
      }

      .block-info {
        display: block;
        width: auto;
        padding: 1.5rem 0 0;
        .text {
          display: block;
          font-size: 0.8125rem;
          line-height: 1.5;
          font-weight: 400;
        }
      }

      .block-table {
        display: block;
        width: 100%;
        padding: 0;
      }

      .block-btn {
        display: block;
        width: 100%;
        padding: 1.5rem 0;
        .btn-add-organization {
          display: inline-flex;
          justify-content: center;
          align-items: center;
          margin: 0;
          font-size: 0.875rem;
          + .btn-add-organization {
            margin-left: 1.5rem;
          }
          .svg-fill {
            height: 1.25rem;
            width: auto;
            margin: 0 0.5rem 0 -0.5rem;
            fill: #272727;
          }
        }
      }
    }
  }
</style>
